FROM node:12.7-alpine as build
WORKDIR /usr/src/app
COPY ./app/package.json  ./
RUN npm install
COPY ./app/ ./
RUN npm run build


FROM nginx:alpine
COPY ./app/nginx.conf /etc/nginx/nginx.conf
COPY --from=build /usr/src/app/server /usr/share/nginx/html
